Get Notice Details
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/notices/{referenceId} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/notices/{referenceId}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/notices/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"arn": "AD290419000001N",
"dateOfIssue": "05/11/2024",
"noticeType": "MOV07",
"dueDateOfReply": "07/01/2025",
"taxPeriod": {
"fromMonth": "MAY",
"toMonth": "JAN",
"fromYear": "2017",
"toYear": "2018"
},
"maindocs": [
{
"dcupdtls": {
"ct": "application/pdf",
"docName": "AdvanceRulingTemplate.pdf",
"hash": "87f116709df216da008b32f989fca92950371cd15e565de0a765d83fb4b5d36c",
"id": "20180926545",
"ty": "ENFS"
}
}
],
"suppdocs": []
}
}
}Get Notice Details
Get the full details and document metadata for a single notice by reference ID.
GET
/
gst
/
compliance
/
tax-payer
/
notices
/
{referenceId}
Get Notice Details
Response body schema
View response body schema
Response schema
For successful responses, this reference describes the GSTN payload atdata.data.
View Excel field reference
Headers
GST taxpayer access token.
API key for identification.
Compliance API version.
Path Parameters
Notice reference ID returned by the list notices API. This maps to GST refId.
Response
200 - application/json
200 Success
The response is of type object.
Was this page helpful?
āI